//------------------------------------------------------------------------//
// DRAGLIST.H   Header file for DRAGLIST.CPP
//------------------------------------------------------------------------//
//
//If DRAGLIST.H has not already been included in the compile, then,
//                                                                
#ifndef __DRAGLIST_H

//
//Define the inclusion of DRAGLIST.H and make all the definitions following
//below in this file
//
#define __DRAGLIST_H

#include <afxwin.h>        //MFC header file - all MFC apps must use


//========================================================================//
// CDragList - Derived, from CListBox, this class is used to manipulate
//             the Available Lines and Available Groups list boxes and 
//             enable dragging list items from the box.
//========================================================================//
class CDragList : public CListBox {
public:
   CDragList(UINT idlistbox, CWnd* parent);               //Constructor
   afx_msg void OnMouseMove(UINT nFlags, CPoint point);   //Message response
   afx_msg void OnLButtonDown(UINT nFlags, CPoint point); //Message response
   afx_msg void OnLButtonUp(UINT nFlags, CPoint point);   //Message response
           void PostNcDestroy();                          //Message response
private:
   int CurrentSelection;  //Index of the currently selected item in list
   HCURSOR HOldCursor;    //Used to change mouse pointer during drag and drop 
   HCURSOR hCursor;       //Handle to the custom cursor
   CString NewAssignment; //Used to hold the item text being dragged from list
   int DragOn;            //Flag to signal that dragging is occurring 
   CFont* NewFont;        //Pointer to the new font to be used
   UINT ChildControlID;   //ID of the child control attached to this object
   
DECLARE_MESSAGE_MAP()
};

//
//End of preprocessor directive to include DRAGLIST.H
//
#endif


